//   Copyright (c) 2007 Alberto Arri

//   This file is part of the source of CoCoALib, the CoCoA Library.

//   CoCoALib is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License (version 2)
//   as published by the Free Software Foundation.  A copy of the full
//   licence may be found in the file COPYING in this directory.

//   CoCoALib is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with CoCoA; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef CoCoA_F5_H
#define CoCoA_F5_H

#include "CoCoA/io.H"
#include "CoCoA/ring.H"
#include "CoCoA/PPMonoid.H"
#include "CoCoA/SparsePolyRing.H"

namespace CoCoA
{

  void F5(std::vector<CoCoA::RingElem> &GB, const std::vector<CoCoA::RingElem> &I);

  inline void F5(std::vector<CoCoA::RingElem> &GB, const CoCoA::ideal &I)
  {
    F5(GB, gens(I));
  }

} // end of namespace CoCoA


// RCS header/log in the next few lines
// $Header: /Volumes/Home/cocoa/cvs-repository/CoCoALib-0.99/include/CoCoA/TmpF5.H,v 1.2 2007/03/13 10:35:30 abbott Exp $
// $Log: TmpF5.H,v $
// Revision 1.2  2007/03/13 10:35:30  abbott
// Moved F5 code into namespace CoCoA (previously it was at global level).
// Improved spacing and layout (previously it was haphazard).
//

#endif
