//   Copyright (c)  2005  Anna Bigatti

//   This file is part of the source of CoCoALib, the CoCoA Library.

//   CoCoALib is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License (version 2)
//   as published by the Free Software Foundation.  A copy of the full
//   licence may be found in the file COPYING in this directory.

//   CoCoALib is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with CoCoA; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


#include "CoCoA/PPWithMask.H"
#include "CoCoA/assert.H"

#include <iostream>
using std::ostream;

namespace CoCoA
{

  PPWithMask::PPWithMask(ConstRefPPMonoidElem pp, const DivMaskRule& dm):
    myPP(pp), myDivMaskRule(dm)
  {
    myUpdateDivMask();
  }

  PPWithMask& PPWithMask::operator=(const PPWithMask& pm)
  {
    CoCoA_ASSERT( myDivMaskRule == pm.myDivMaskRule );
    myPP = pm.myPP;
    myDivMask = pm.myDivMask;
    return *this;
  }


  void PPWithMask::myAssign(ConstRefPPMonoidElem pp)
  {
    myPP = pp;
    myUpdateDivMask();
  }


  void PPWithMask::myUpdateDivMask()
  {
    owner(myPP)->myComputeDivMask(myDivMask, myDivMaskRule, raw(myPP));
    //    GlobalLogput() << myPP << "\t--> " << myDivMask << std::endl;
  }


  std::ostream& operator<<(std::ostream& out, const PPWithMask& pm)
  {
    out << "PPWithMask(" << pm.myPP << ", " << pm.myDivMask << ", " << pm.myDivMaskRule << ")";
    return out;
  }

}  // end of namespace CoCoA
